jQuery (Monaca Version) の使い方?



  • 「JS/CSSコンポーネント」に、jQuery (Monaca Version) バージョン:2.0.3というのがありますが、jQuery UIや他のjQueryプラグインとの連携はどのように考えればいいでしょうか? これらを利用するときは、一般にはバージョンを合わせる必要があるかと思われます。

    jQuery (Monaca Version)に含まれないこれらのプラグインを利用したいときは、jQuery (Monaca Version)は使わないほうが良いのでしょうか。そうするとjQuery (Monaca Version)のメリットとしてはどのようなものがありますか?

    現在、別のスレッドでも質問をさせていただいていますが、たとえば、Datepickerなどを利用したいとき、jQueryのDatepickerがバージョンが合わないのかうまく動いてくれません。

    jQuery (Monaca Version)をどのように使えばよいのか、ヒントを教えていただけたらと思います。



  • 「JS/CSSコンポーネント」からライブラリーを組み込む利用方法のメリットは、
    ローダーに組み込むことができるため、HTMLファイルの記述が、

    <script src=“components/loader.js”></script>

    だけで済みます。

    他のライブラリーとの依存関係がある場合は、
    「JS/CSSコンポーネント」からは組み込まず、
    HTMLファイルに通常通り記述します。

    例:
    <script src=“js/jquery.js”></script>

    また、こちらのコミュニティーは、海外ユーザー向けのコミュニティーなっております。

    日本のコミュニティーサイトは、teratailになります。
    https://teratail.com/tags/monaca

    次回からは、teratailへご参加ください。

    よろしくお願いいたします。



  • keiji odagawa 様

    ご回答とご指示ありがとうございます。

    次回からは、
    https://teratail.com/tags/monaca
    で投稿します。

    ありがとうございました。


Log in to reply